error ecryptfs-utils < 44

8 Feb

karena sesuatu hal saya ingin melakukkan upgrade kernel, tetapi kena error ecryptfs-utils < 44, setelah cari di google, ternyata hal ini terjadi karena adanya paket yang hanya bisa jalan di kernel lama. untuk mengatasi sebenarnya sangat sederhana, seperti contoh dibawah ini :

[root@rac2 oracle]# rpm -ivh kernel-2.6.18-194.32.1.el5.x86_64.rpm
warning: kernel-2.6.18-194.32.1.el5.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID e8562897
error: Failed dependencies:
ecryptfs-utils < 44 conflicts with kernel-2.6.18-194.32.1.el5.x86_64

[root@rac2 oracle]# rpm -e –allmatches ecryptfs-utils

[root@rac2 oracle]# rpm -ivh kernel-2.6.18-194.32.1.el5.x86_64.rpm
warning: kernel-2.6.18-194.32.1.el5.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID e8562897
Preparing…                ########################################### [100%]
1:kernel                 ########################################### [100%]

tetapi ingat akibatnya harus install ulang paket – paket yang jadi nggak jalan, cari paketyang sudah disesuaikan dengan kernel baru ya…..

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: